# payments.history

Read your own linked bank payments, paid Oatmilk payouts and imported paid history for this employer, without bank descriptions or internal matching details.

`GET | POST /api/v1/contractor/payments.history`

Permissions: `contractor:read` · Roles: contractor

MCP tool: `contractor_payments_history`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `limit` | integer |  | How many results to return at most. 1 to 100. Default `30`. |
| `offset` | integer |  | How many results to skip, for the next page of a list. 0 to 100000. Default `0`. |

## Example request

```bash
curl https://app.getoatmilk.com/api/v1/contractor/payments.history \
  -H "Authorization: Bearer $OATMILK_OAUTH_TOKEN" \
  -H "X-Accounting-Organization: $OATMILK_ORGANIZATION_ID"
```

Reference page: https://app.getoatmilk.com/docs/api/contractor/payments.history
